.footer_wrapper {
    margin-top: auto;
    border-top: 1px solid #d6d6d6;
}

.footer_top {
    position: relative;
    padding: 1rem 0;
}

.footer_wrap {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-align-items: center;
    align-items: center;
}

.footer_item {
    margin: 1rem 1rem 1rem 0;
}

.footer_item:last-child {
    margin-right: 0;
}

/*footer_bottom*/
.footer_bottom {
    padding: 0;
}

.footer_bottom .footer_item {
    margin-right: 0;
}

@media all and (max-width: 767px){
    .footer_bottom .footer_wrap {
        -webkit-flex-direction: column;
        flex-direction: column;
        -webkit-align-items: flex-start;
        align-items: start;
    }
}

/*footer__soc-icons*/
.footer_item .footer__soc-icons {
    margin: 0;
}

.footer_top .footer__soc-icon {
    background: #fff;
    border-radius: 50%;
}

.footer_top .footer__soc-icon:hover {
    color: #fff;
    background: var(--theme-color-main);
}

/*footer_contacts*/
.footer_contacts_title,
.footer_contacts_title a {
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    font-size: 1.2rem;
    line-height: 1.2;
    font-weight: 500;
    color: inherit;
}

.footer_contacts_title a:hover {
    color: var(--theme-color-main);
}

.footer_contacts_title svg {
    width: 1em;
    height: auto;
    margin-right: 0.25rem;
}

.footer_contacts_desc,
.footer_contacts_desc a {
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    font-size: 0.8rem;
    line-height: 1.2;
    font-weight: 400;
    color: inherit;
    margin-bottom: 3px;
}

.footer_contacts_desc > * {
    opacity: 0.5;
}

.footer_contacts_desc a:hover {
    color: var(--theme-skit-color);
    opacity: 1;
}

/*buttons*/
.buttons_wrap.footer_wrap {
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-justify-content: flex-start;
    justify-content: start;
    gap: 1rem;
}

/*apps_dropdown*/
.buttons_wrap .apps_dropdown {
    top: auto;
    bottom: 100%;
    right: auto;
    left: 0;
    padding-top: 0;
    padding-bottom: 0.5rem;
    -webkit-transform-origin: 0 100% ;
    transform-origin: 0 100%;
}

.buttons_wrap .apps_dropdown_wrap.active .open_apps_block {
    background-color: var(--theme-color-main) !important;
    color: #fff !important;
}

@media all and (max-width: 767px){
    .buttons_wrap.footer_wrap {
        -webkit-flex-direction: row-reverse;
        flex-direction: row-reverse;
    }

    .buttons_wrap .apps_dropdown {
        max-width: calc(100vw - 1.5rem);
    }
}

@media all and (max-width: 575px){
    .footer_top .footer_wrap,
    .buttons_wrap.footer_wrap {
        -webkit-flex-direction: column;
        flex-direction: column;
        -webkit-align-items: flex-start;
        align-items: start;
    }
}

/*footer_menu*/
.footer_menu_title {
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 1.2;
    color: inherit;
    margin-bottom: 0.5rem;
}

@media all and (max-width: 767px){
    ul.footer_menu.footer_menu_size {
        font-size: 1rem;
    }
}

/*footer_logo*/
.footer_logo {
    display: block;
    padding-top: 1rem;
}

.footer_logo img {
    width: 100%;
}

@media all and (max-width: 575px){
    .footer_logo img {
        display: block;
        margin: 0 auto;
    }
}

/*footer_news*/
.footer_news {
    padding-top: 1rem;
}

@media all and (max-width: 991px){
    .footer_news .news_in_footer_wrap {
        -webkit-flex-direction: row;
        flex-direction: row;
    }
}

@media all and (max-width: 575px){
    .footer_news .news_in_footer_wrap {
        -webkit-flex-direction: column;
        flex-direction: column;
    }
}

/*footer_bottom_links*/
.footer_bottom_links {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
}

.footer_bottom_links_item {
    display: inline-block;
    font-size: 0.7rem;
    font-weight: 400;
    color: inherit;
    margin: 1rem 1rem 1rem 0;
}

.footer_bottom_links_item > * {
    opacity: 0.5;
}

.footer_bottom_links_item a {
    color: inherit;
}

.footer_bottom_links_item a:hover {
    color: var(--theme-skit-color);
    opacity: 1;
}

.footer_bottom_links_item.dev_link {
    position: relative;
    top: -5px;
    margin-left: auto;
    margin-right: 0;
}

@media all and (max-width: 991px){
    .footer_bottom_links {
        margin-bottom: 4rem;
    }
}

/*THEME SETINGS*/
/*theme_footer_bg_color*/
.theme_footer_bg_color {
    background: var(--theme-f-bg-color);
}


/*theme_footer_block_bg_color*/
.theme_footer_block_bg_color {
    padding: 2rem 3rem;
    margin: 0 -3rem;
    border-radius: 45px;
    background: var(--theme-f-block-bg-color);
}

.theme_footer_block_bg_color .footer_top:after {
    display: none;
}

@media all and (max-width: 1400px){
    .theme_footer_block_bg_color {
        padding: 2rem 1rem;
        margin: 0;
        border-radius: 30px;
    }
}

/*theme_footer_color*/
.theme_footer_color {
    color: var(--theme-f-color);
}

.theme_footer_color .footer_block_bg:not(.theme_footer_block_bg_color) .footer__soc-icon {
    background: var(--theme-f-color-opacity);
}

.theme_footer_color .footer_block_bg:not(.theme_footer_block_bg_color) .footer_search .form-control {
    color: var(--theme-f-color);
    border-color: transparent;
    background: var(--theme-f-color-opacity);
}

.theme_footer_color .footer_block_bg:not(.theme_footer_block_bg_color) .footer_search .form-control:focus {
    border-color: var(--theme-f-color);
}

/*theme_footer_color and theme_footer_block_bg_color  */
.block_bg_colored .footer_search,
.block_bg_colored .footer__soc-icons {
    color: var(--theme-f-block-bg-color);
}

.block_bg_colored .footer_bottom_links_item {
    color: #000;
}
